<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4019
Name: Unverträglichkeiten
Description: Unverträglichkeiten 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4019-2014-11-01T000000">
   <title>Unverträglichkeiten</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]
Item: (Propensitytoadversereactions)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]
Item: (Propensitytoadversereactions)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]"
         id="d127e2625-false-d26362e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="string(@classCode)=('OBS')">(Propensitytoadversereactions): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="string(@moodCode)=('EVN')">(Propensitytoadversereactions): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4019'])&gt;=1">(Propensitytoadversereactions): Element hl7:templateId[@root='1.2.276.0.76.10.4019'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4019'])&lt;=1">(Propensitytoadversereactions): Element hl7:templateId[@root='1.2.276.0.76.10.4019'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="count(hl7:code[(@code='420134006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Propensitytoadversereactions): Element hl7:code[(@code='420134006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="count(hl7:code[(@code='420134006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Propensitytoadversereactions): Element hl7:code[(@code='420134006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Propensitytoadversereactions): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Propensitytoadversereactions): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Propensitytoadversereactions): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Propensitytoadversereactions): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]/hl7:templateId[@root='1.2.276.0.76.10.4019']
Item: (Propensitytoadversereactions)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]/hl7:templateId[@root='1.2.276.0.76.10.4019']"
         id="d127e2631-false-d26434e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Propensitytoadversereactions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4019')">(Propensitytoadversereactions): Der Wert von @root MUSS '1.2.276.0.76.10.4019' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]/hl7:id
Item: (Propensitytoadversereactions)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]/hl7:id"
         id="d127e2636-false-d26452e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Propensitytoadversereactions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]/hl7:code[(@code='420134006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Propensitytoadversereactions)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]/hl7:code[(@code='420134006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e2638-false-d26466e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Propensitytoadversereactions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="@nullFlavor or (@code='420134006' and @codeSystem='2.16.840.1.113883.6.96')">(Propensitytoadversereactions): Der Elementinhalt MUSS einer von 'code '420134006' codeSystem '2.16.840.1.113883.6.96'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]/hl7:text[not(@nullFlavor)]
Item: (Propensitytoadversereactions)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]/hl7:text[not(@nullFlavor)]"
         id="d127e2644-false-d26486e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Propensitytoadversereactions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(Propensitytoadversereactions): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(Propensitytoadversereactions): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (Propensitytoadversereactions)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d127e2649-false-d26512e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Propensitytoadversereactions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="string(@value)=('#int')">(Propensitytoadversereactions): Der Wert von @value MUSS '#int' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Propensitytoadversereactions)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4019']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e2655-false-d26530e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Propensitytoadversereactions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4019-2014-11-01T000000.html"
              test="@nullFlavor or (@code='completed')">(Propensitytoadversereactions): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
</pattern>
